> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scoot.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Banner

Shows a banner for a social event.


## OpenAPI

````yaml POST /api/v1/social/{socialId}/show/banner
openapi: 3.0.2
info:
  title: Scoot Customer API - Complete Documentation
  version: 1.0.0
  description: >-
    Complete API documentation for Scoot customer-facing endpoints with full
    type definitions from the backend service.
servers:
  - url: https://api.scoot.app
    description: Production server
security: []
tags:
  - name: Social
    description: Social event management endpoints
  - name: Room
    description: Room management endpoints
  - name: Theme
    description: Theme and background management endpoints
  - name: Event
    description: Event registration and management endpoints
  - name: Recording
    description: Recording and transcription endpoints
  - name: Playlist
    description: Audio playlist management endpoints
  - name: Badging
    description: Badge and gamification endpoints
  - name: User
    description: User management endpoints
paths:
  /api/v1/social/{socialId}/show/banner:
    post:
      summary: POST /api/v1/social/{socialId}/show/banner
      operationId: post__api_v1_social_socialId_show_banner
      parameters:
        - name: socialId
          in: path
          required: true
          schema:
            type: string
          description: socialId parameter
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              description: Request body data
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                description: Response from backend service
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string

````